Subject: Re: Git and tagging hook

From: Andreas Ericsson <[email-masked]>
Date: Wed, 08 Oct 2008 19:40:02 +0200

Kristis Makris wrote:
> On Tue, 2008-10-07 at 19:28 +0200, Jakub Narebski wrote:
>> Kristis Makris wrote:
>>
>>> But the post-receive is NOT executed when I apply a tag.
>>>
>>> I want the integration when I apply the tag to a local repository, NOT
>>> only when I push/pull.
>> If you are talking about taging locally, you can simply make an alias
>> or do something after tagging. Search archives for description when
>> it is worth to add a hook, and when it is not.
> 
> I am looking for a guarantee that is better than casually saying
> "simply". I will be providing the integration work to users that may not
> be as comfortable with making aliases. 
> 
> I still don't see why a hook on local tagging is not available. Is it
> possible to add support in Git for such a hook ? Both pre-tag and
> post-tag.

Because noone's ever needed one before. If aliases can't do what you
want, write a patch to support it and hope Junio accepts it. It's really
quite straight-forward. Make sure you read Documentation/SubmittingPatches
before you send it.

Note though that use of tags on the developer's side will still be up
to the developer and not something you can force through other means
than policy or convention.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231